import { ElementRef, OnDestroy, OnInit, QueryList, Renderer2 } from '@angular/core';
import { Subject } from 'rxjs';
import { CalendarBaseComponent } from '@ironsource/fusion-ui/components/calendar/common/base';
import { Day } from '@ironsource/fusion-ui/components/calendar/entities';
import { CalendarService } from '@ironsource/fusion-ui/components/calendar/common/base';
import * as i0 from "@angular/core";
export declare class CalendarComponent extends CalendarBaseComponent implements OnDestroy, OnInit {
    renderer: Renderer2;
    onDestroy$: Subject<void>;
    dateList: QueryList<ElementRef>;
    constructor(calendarService: CalendarService, renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    initListeners(): void;
    dayHovered(day: Day, event: MouseEvent): void;
    selectDay(day: Day): void;
    hoverEnd(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CalendarComponent, "fusion-calendar", never, {}, {}, never, never, false, never>;
}
